# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# C extensions
*.so

# Distribution / packaging
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
share/python-wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# PyInstaller
#  Usually these files are written by a python script from a template
#  before PyInstaller builds the exe, so as to inject date/other infos into it.
*.manifest
*.spec

# Installer logs
pip-log.txt
pip-delete-this-directory.txt

# Unit test / coverage reports
htmlcov/
.tox/
.nox/
.coverage
.coverage.*
.cache
nosetests.xml
coverage.xml
*.cover
*.py,cover
.hypothesis/
.pytest_cache/
cover/

# Translations
*.mo
*.pot

# Django stuff:
*.log
local_settings.py
db.sqlite3
db.sqlite3-journal

# Flask stuff:
instance/
.webassets-cache

# Scrapy stuff:
.scrapy

# Sphinx documentation
docs/_build/

# PyBuilder
.pybuilder/
target/

# Jupyter Notebook
.ipynb_checkpoints

# IPython
profile_default/
ipython_config.py

# PEP 582; used by e.g. github.com/David-OConnor/pyflow
__pypackages__/

# Celery stuff
celerybeat-schedule
celerybeat.pid

# SageMath parsed files
*.sage.py

# Environments
.env
.venv
env/
venv/
ENV/
env.bak/
venv.bak/

# Spyder project settings
.spyderproject
.spyproject

# Rope project settings
.ropeproject

# mkdocs documentation
/site

# mypy
.mypy_cache/
.dmypy.json
dmypy.json

# Pyre type checker
.pyre/

# pytype static type analyzer
.pytype/

# Cython debug symbols
cython_debug/

# virtual environment
py3-env/

# IDE directories/files
.vscode/*
.vs/
.idea/

# LaTeX intermediate files
*.aux
*.bbl
*.blg
*.synctex.gz
*.fdb_latexmk
*.fls
*.toc
*.lof
*.lot
*.synctex(busy)
*.nav
*.out
*.snm
*.vrb
*.listing

# sphinx build directory
**/_build/

# test artifacts
**/test-report.xml
**/coverage-report.xml

# node files
**/node_modules/
package-lock.json

# vscode dev environment
.vscode-dev/

# typescript build directory
language_client/out/

# INCLUDE FILES
# vscode launch configuration
!.vscode/launch.json
!.vscode/tasks.json

# baked models
semantic_pandas/resources/*

# do not ignore models used for extension to git
!semantic_pandas/resources/none_univariate_reducer_lg.p
!semantic_pandas/resources/none_univariate_perceptron_model_lg.p
